Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_UnknownUserException Class Reference

CORBA_UnknownUserException. More...

`#include <Unknown_User_Exception.h>`

Inheritance diagram for CORBA_UnknownUserException:

[legend]
Collaboration diagram for CORBA_UnknownUserException:

[legend]
List of all members.

## Public Methods
| CORBA_UnknownUserException (void)
| Constructor. More...
| CORBA_UnknownUserException (CORBA_Any &exception)
| Constructor. More...
| CORBA_UnknownUserException (const CORBA_UnknownUserException &e)
| Copy constructor. More...
virtual | ~CORBA_UnknownUserException (void)
| Destructor. More...
virtual void | _raise (void)
| To throw an UnknownUserException of this type. More...
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _tao_encode (TAO_OutputCDR &cdr ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &cdr ACE_ENV_ARG_DECL)
virtual int | _is_a (const char *type_id) const
| Helper method to implement _downcast. More...
virtual CORBA::TypeCode_ptr | _type (void) const
| This class has a specific typecode. More...
## Static Public Methods
CORBA_UnknownUserException * | _downcast (CORBA_Exception *ex)
| Narrow to an UnknowUserException. More...
## Public Attributes
CORBA_Any &exception | void
| Return the any containing the user exception. More...
## Private Attributes
CORBA_Any * | exception_
| Holder for the actual exception. More...

## Detailed Description

CORBA_UnknownUserException.

When user exceptions are received by a DII invocation the ORB is unable to create the exception with the right dynamic type; to workaround this problem it throws a <CORBA::UnknownUserException> that contains the exception inside an Any.

## Constructor & Destructor Documentation

CORBA_UnknownUserException::CORBA_UnknownUserException | ( | void |  | ) |

| Constructor.

CORBA_UnknownUserException::CORBA_UnknownUserException | ( | CORBA_Any & | ex | ) |

| Constructor.

CORBA_UnknownUserException::CORBA_UnknownUserException | ( | const CORBA_UnknownUserException & | e | ) |

| Copy constructor.

CORBA_UnknownUserException::~CORBA_UnknownUserException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CORBA_UnknownUserException * CORBA_UnknownUserException::_downcast | ( | CORBA_Exception * | ex | ) | `[static]`

| Narrow to an UnknowUserException. Reimplemented from CORBA_UserException.

int CORBA_UnknownUserException::_is_a | ( | const char * | interface_id | ) | const`[virtual]`

| Helper method to implement _downcast. Reimplemented from CORBA_UserException.

void CORBA_UnknownUserException::_raise | ( | void |  | ) | `[virtual]`

| To throw an UnknownUserException of this type. Reimplemented from CORBA_Exception.

virtual void CORBA_UnknownUserException::_tao_decode | ( | TAO_InputCDR &cdr | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from CORBA_Exception.

CORBA::Exception * CORBA_UnknownUserException::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Exception.

virtual void CORBA_UnknownUserException::_tao_encode | ( | TAO_OutputCDR &cdr | ACE_ENV_ARG_DECL | ) | const`[virtual]`

| Reimplemented from CORBA_Exception.

CORBA::TypeCode_ptr CORBA_UnknownUserException::_type | ( | void |  | ) | const`[virtual]`

| This class has a specific typecode. Reimplemented from CORBA_Exception.

## Member Data Documentation

CORBA_Any* CORBA_UnknownUserException::exception_`[private]`

| Holder for the actual exception.

CORBA_Any& exception CORBA_UnknownUserException::void

| Return the any containing the user exception.

The documentation for this class was generated from the following files:

- Unknown_User_Exception.h
- Unknown_User_Exception.cpp